Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.evt
Class ScopeEvent

    java.lang.Object
      org.apache.ode.bpel.evt.BpelEvent
          org.apache.ode.bpel.evt.ProcessEvent
              org.apache.ode.bpel.evt.ProcessInstanceEvent
                  org.apache.ode.bpel.evt.ScopeEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ActivityEvent, CompensationHandlerRegistered, CorrelationSetEvent, ExpressionEvaluationEvent, PartnerLinkEvent, ScopeCompletionEvent, ScopeFaultEvent, ScopeStartEvent, VariableEvent

    public abstract class ScopeEvent

extends ProcessInstanceEvent

Event related to a process instance scope.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.evt.BpelEvent
`BpelEvent.TYPE`

Field Summary

Fields inherited from class org.apache.ode.bpel.evt.BpelEvent
`eventContext`

Constructor Summary
`ScopeEvent()`

Method Summary
`java.lang.Long` | `getParentScopeId()`
`java.util.List<java.lang.String>` | `getParentScopesNames()`
`int` | `getScopeDeclarationId()`
`java.lang.Long` | `getScopeId()`
`java.lang.String` | `getScopeName()`
`BpelEvent.TYPE` | `getType()`
`void` | `setParentScopeId(java.lang.Long parentScopeId)`
`void` | `setParentScopesNames(java.util.List<java.lang.String> parentScopesNames)`
`void` | `setScopeDeclerationId(int id)`
`void` | `setScopeId(java.lang.Long scopeId)`
`void` | `setScopeName(java.lang.String scopeName)`

Methods inherited from class org.apache.ode.bpel.evt.ProcessInstanceEvent
`getProcessInstanceId, setProcessInstanceId`

Methods inherited from class org.apache.ode.bpel.evt.ProcessEvent
`getProcessId, getProcessName, setProcessId, setProcessName`

Methods inherited from class org.apache.ode.bpel.evt.BpelEvent
`eventName, getLineNo, getTimestamp, setLineNo, setTimestamp, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScopeEvent

    public ScopeEvent()

Method Detail

### getScopeId

    public java.lang.Long getScopeId()

### setScopeId

    public void setScopeId(java.lang.Long scopeId)

### setScopeName

    public void setScopeName(java.lang.String scopeName)

  Parameters:
    `scopeName` - The scopeName to set.

### getScopeName

    public java.lang.String getScopeName()

  Returns:
    Returns the scopeName.

### getScopeDeclarationId

    public int getScopeDeclarationId()

### setScopeDeclerationId

    public void setScopeDeclerationId(int id)

  Parameters:
    `id` -

### setParentScopeId

    public void setParentScopeId(java.lang.Long parentScopeId)

### getParentScopeId

    public java.lang.Long getParentScopeId()

### getParentScopesNames

    public java.util.List<java.lang.String> getParentScopesNames()

### setParentScopesNames

    public void setParentScopesNames(java.util.List<java.lang.String> parentScopesNames)

### getType

    public BpelEvent.TYPE getType()

  Overrides:
    `getType` in class `ProcessInstanceEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD